Skip to main content
GET
Get News Source Links

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

symbol
string

Canonical symbol (e.g. AAPL, BRK.B, 0700.HK); mutually exclusive with industry

industry
string

Exact FMP industry filter; mutually exclusive with symbol

start_time
integer<int64>

Start publication time (Unix seconds); required without an update window

end_time
integer<int64>

End publication time (Unix seconds); required without an update window, greater than start_time when both are supplied

limit
integer
default:10

Maximum results

Required range: 1 <= x <= 500
updated_after
integer<int64>

Inclusive update time (Unix seconds); requires updated_before

updated_before
integer<int64>

Exclusive update time (Unix seconds); greater than updated_after

cursor
string

Opaque pagination cursor; requires the same window and filters

Response

News source links

data
object[]
error
object
metadata
any
pagination
object
request_id
string
success
boolean